NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.AssemblyDrawingBuilder Class Reference

Represents a NXOpen.Tooling.AssemblyDrawingBuilder which is used to create or edit the Assembly Drawing. More...

Inheritance diagram for NXOpen.Tooling.AssemblyDrawingBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AttributeNames { MwSide, MwComponentName }
 Specifies the attribute name More...
 
enum  AttributeValues { A, B, Hide }
 Specifies the attribute value. More...
 
enum  DrawingCreateOrEdit { CreateNew, Sh1 }
 Specifies the sheet operation. More...
 
enum  DrawingTypes { MasterModel, SelfContained }
 Specifies the drawing type. More...
 
enum  ModelViewToUseValue {
  Top, Front, Right, Back,
  Bottom, Left, Isometric, Trimetric
}
 Specifies the model view to use. More...
 
enum  Types { Visibility, Drawing, View }
 Specifies the filter of assembly. More...
 
enum  ViewOptionValue { DefaultView, BaseViewTool }
 Specifies the view options. More...
 

Public Member Functions

unsafe void AddSectionView ()
 The option for add section view More...
 
unsafe void AddView (NXOpen.NXObject viewTag, string attrName, string[] componentType)
 The option for add view More...
 
unsafe void AssignAttr (NXOpen.NXObject[] selectdObjs, string attrName, string attrValue)
 Assign attribute More...
 
unsafe void CreateDrawing (string sheetName, string templateName)
 Create drawing More...
 
unsafe void CreateSectionView (string viewName, NXOpen.NXObject parentView, double[] stepDirection, double[] arrowdirection, double[] pointX, double[] pointY, double[] pointZ, int[] segmentType, string attrName, string[] attrValueList)
 Create section view More...
 
unsafe void CreateView (string viewName, double viewScale)
 Create view More...
 
unsafe NXOpen.NXObject CreateViewToShowComponents (string viewName)
 Create view to show components More...
 
unsafe void DeleteSheet (string selectedSheetName)
 Delete the sheet More...
 
unsafe void DeleteView (string viewName)
 Delete view More...
 
unsafe void EditDrawing (string sheetName, string templateName)
 Edit drawing More...
 
unsafe void NewMasterModelFile (string masterModelFileName)
 Create a new master model file More...
 
unsafe void OpenMasterModelFile (string masterModelFileName)
 Open the master model file More...
 
unsafe void RetrieveSheet (string selectedSheetName)
 Retrieve the sheet More...
 
unsafe void UnhighlightOccOfSelectedPartOccs (string[] attributeNames, string[] attributeValues, int indexAttributeName, int indexAttributeValue, NXOpen.NXObject partOccTag, bool unhighlight)
 Update event for unhighlight occurrence o fselected part occurrences More...
 
unsafe void UpdateEventForBlankComponetsWithAttributes (string[] attributeNames, string[] attributeValues, NXOpen.NXObject[] allComps)
 Update event for blank componets with attributes More...
 
unsafe void UpdateEventForShowOnly (string[] attributeNames, string[] attributeValues, NXOpen.NXObject[] allComps)
 Update event for show only More...
 
unsafe void UpdateEventForShowOnlyTrue (string[] attributeNames, string[] attributeValues, NXOpen.NXObject[] allComps)
 Update event for show only true More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool DeleteButtonClicked [get, set]
 Returns or sets the delete button clicked attribute More...
 
unsafe double DoubleViewScale [get, set]
 Returns or sets a double view scale More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.AttributeNames 
EnumAttributeName [get, set]
 Returns or sets the option for select the attribute name More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.AttributeValues 
EnumAttributeValue [get, set]
 Returns or sets the option for select the attribute value More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.DrawingTypes 
EnumDrawingType [get, set]
 Returns or sets the option for the assembly drawing operation More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.DrawingCreateOrEdit 
EnumSheets [get, set]
 Returns or sets the option for select the sheet More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.ModelViewToUseValue 
ModelViewToUse [get, set]
 Returns or sets the option for model view to use More...
 
unsafe bool ScaleModified [get, set]
 Returns or sets the scale modified attribute More...
 
unsafe bool SectionViewButtonClicked [get, set]
 Returns or sets the section view button clicked attribute More...
 
unsafe string StringFilterRule [get, set]
 Returns or sets the Filter rule More...
 
unsafe string StringNameRule [get, set]
 Returns or sets the string name rule More...
 
unsafe string StringSheetName [get, set]
 Returns or sets the sheet name More...
 
unsafe bool TgShowA [get, set]
 Returns or sets the A attribute More...
 
unsafe bool TgShowB [get, set]
 Returns or sets the B attribute More...
 
unsafe bool ToggleBlankComponentsWithAttribute [get, set]
 Returns or sets the blank components with attribute More...
 
unsafe bool ToggleListDependents [get, set]
 Returns or sets the List dependents More...
 
unsafe bool ToggleShowOnly [get, set]
 Returns or sets the only show components with attribute toggle More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.Types 
Type [get, set]
 Returns or sets the option for the Assembly drawing operation More...
 
unsafe NXOpen.Point ViewLocation [get, set]
 Returns or sets the view location More...
 
unsafe
NXOpen.Tooling.AssemblyDrawingBuilder.ViewOptionValue 
ViewOption [get, set]
 Returns or sets the option for view tools More...
 
unsafe int WizardType [get, set]
 Returns or sets the wizard type attribute More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.AssemblyDrawingBuilder which is used to create or edit the Assembly Drawing.

To create a new instance of this class, use NXOpen.Tooling.ToolingDrawingCollection.CreateAssemblyDrawingBuilder

Default values.

Property Value

DoubleViewScale

1

EnumAttributeName

MwSide

EnumAttributeValue

A

EnumDrawingType

MasterModel

EnumSheets

CreateNew

ModelViewToUse

Top

TgShowA

0

TgShowB

0

ToggleBlankComponentsWithAttribute

0

ToggleListDependents

0

ToggleShowOnly

0

ViewOption

DefaultView

Created in NX8.5.0

Member Enumeration Documentation

Specifies the attribute name

Enumerator
MwSide 
MwComponentName 

Specifies the attribute value.

Enumerator
A 
B 
Hide 

Specifies the sheet operation.

Enumerator
CreateNew 
Sh1 

Specifies the drawing type.

Enumerator
MasterModel 
SelfContained 

Specifies the model view to use.

Enumerator
Top 
Front 
Right 
Back 
Bottom 
Left 
Isometric 
Trimetric 

Specifies the filter of assembly.

Enumerator
Visibility 
Drawing 
View 

Specifies the view options.

Enumerator
DefaultView 
BaseViewTool 

Member Function Documentation

unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.AddSectionView ( )
inline

The option for add section view

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.AddView ( NXOpen.NXObject  viewTag,
string  attrName,
string[]  componentType 
)
inline

The option for add view

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
viewTag
attrName
componentType
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.AssignAttr ( NXOpen.NXObject[]  selectdObjs,
string  attrName,
string  attrValue 
)
inline

Assign attribute

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectdObjs
attrName
attrValue
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.CreateDrawing ( string  sheetName,
string  templateName 
)
inline

Create drawing

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sheetName
templateName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.CreateSectionView ( string  viewName,
NXOpen.NXObject  parentView,
double[]  stepDirection,
double[]  arrowdirection,
double[]  pointX,
double[]  pointY,
double[]  pointZ,
int[]  segmentType,
string  attrName,
string[]  attrValueList 
)
inline

Create section view

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
viewName
parentView
stepDirection
arrowdirection
pointX
pointY
pointZ
segmentType
attrName
attrValueList
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.CreateView ( string  viewName,
double  viewScale 
)
inline

Create view

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
viewName
viewScale
unsafe NXOpen.NXObject NXOpen.Tooling.AssemblyDrawingBuilder.CreateViewToShowComponents ( string  viewName)
inline

Create view to show components

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
viewName
Returns
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.DeleteSheet ( string  selectedSheetName)
inline

Delete the sheet

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectedSheetName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.DeleteView ( string  viewName)
inline

Delete view

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
viewName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.EditDrawing ( string  sheetName,
string  templateName 
)
inline

Edit drawing

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sheetName
templateName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.NewMasterModelFile ( string  masterModelFileName)
inline

Create a new master model file

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
masterModelFileName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.OpenMasterModelFile ( string  masterModelFileName)
inline

Open the master model file

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
masterModelFileName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.RetrieveSheet ( string  selectedSheetName)
inline

Retrieve the sheet

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectedSheetName
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.UnhighlightOccOfSelectedPartOccs ( string[]  attributeNames,
string[]  attributeValues,
int  indexAttributeName,
int  indexAttributeValue,
NXOpen.NXObject  partOccTag,
bool  unhighlight 
)
inline

Update event for unhighlight occurrence o fselected part occurrences

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeNames
attributeValues
indexAttributeName
indexAttributeValue
partOccTag
unhighlight
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.UpdateEventForBlankComponetsWithAttributes ( string[]  attributeNames,
string[]  attributeValues,
NXOpen.NXObject[]  allComps 
)
inline

Update event for blank componets with attributes

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeNames
attributeValues
allComps
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.UpdateEventForShowOnly ( string[]  attributeNames,
string[]  attributeValues,
NXOpen.NXObject[]  allComps 
)
inline

Update event for show only

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeNames
attributeValues
allComps
unsafe void NXOpen.Tooling.AssemblyDrawingBuilder.UpdateEventForShowOnlyTrue ( string[]  attributeNames,
string[]  attributeValues,
NXOpen.NXObject[]  allComps 
)
inline

Update event for show only true

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeNames
attributeValues
allComps

Property Documentation

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.DeleteButtonClicked
getset

Returns or sets the delete button clicked attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.AssemblyDrawingBuilder.DoubleViewScale
getset

Returns or sets a double view scale

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.AttributeNames NXOpen.Tooling.AssemblyDrawingBuilder.EnumAttributeName
getset

Returns or sets the option for select the attribute name

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.AttributeValues NXOpen.Tooling.AssemblyDrawingBuilder.EnumAttributeValue
getset

Returns or sets the option for select the attribute value

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.DrawingTypes NXOpen.Tooling.AssemblyDrawingBuilder.EnumDrawingType
getset

Returns or sets the option for the assembly drawing operation

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.DrawingCreateOrEdit NXOpen.Tooling.AssemblyDrawingBuilder.EnumSheets
getset

Returns or sets the option for select the sheet

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.ModelViewToUseValue NXOpen.Tooling.AssemblyDrawingBuilder.ModelViewToUse
getset

Returns or sets the option for model view to use

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.ScaleModified
getset

Returns or sets the scale modified attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.SectionViewButtonClicked
getset

Returns or sets the section view button clicked attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.AssemblyDrawingBuilder.StringFilterRule
getset

Returns or sets the Filter rule

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.AssemblyDrawingBuilder.StringNameRule
getset

Returns or sets the string name rule

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.AssemblyDrawingBuilder.StringSheetName
getset

Returns or sets the sheet name

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.TgShowA
getset

Returns or sets the A attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.TgShowB
getset

Returns or sets the B attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.ToggleBlankComponentsWithAttribute
getset

Returns or sets the blank components with attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.ToggleListDependents
getset

Returns or sets the List dependents

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.AssemblyDrawingBuilder.ToggleShowOnly
getset

Returns or sets the only show components with attribute toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.Types NXOpen.Tooling.AssemblyDrawingBuilder.Type
getset

Returns or sets the option for the Assembly drawing operation

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Tooling.AssemblyDrawingBuilder.ViewLocation
getset

Returns or sets the view location

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.AssemblyDrawingBuilder.ViewOptionValue NXOpen.Tooling.AssemblyDrawingBuilder.ViewOption
getset

Returns or sets the option for view tools

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.AssemblyDrawingBuilder.WizardType
getset

Returns or sets the wizard type attribute

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.